package com.ruoyi.platform.vo;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.ruoyi.platform.domain.ModelsVersion;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ModelsVo implements Serializable {


    @ApiModelProperty(name = "name")
    private String name;

    //    private String version;
    @ApiModelProperty(name = "description")
    private String description;

    /**
     * 模型可见范围
     */
    @ApiModelProperty(name = "available_range")
    private int availableRange;


    //    private String url;
    @ApiModelProperty(name = "model_type")
    private String modelType;


    @ApiModelProperty(name = "model_tag")
    private String modelTag;
    /**
     * 版本
     */
    @ApiModelProperty(name = "version")
    private String version;

    /**
     * 状态
     */
    @ApiModelProperty(name = "status")
    private Integer status;

    @ApiModelProperty(name = "models_version_vos")
    private List<VersionVo> modelsVersionVos;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getAvailableRange() {
        return availableRange;
    }

    public void setAvailableRange(int availableRange) {
        this.availableRange = availableRange;
    }


    public String getModelType() {
        return modelType;
    }

    public void setModelType(String modelType) {
        this.modelType = modelType;
    }

    public String getModelTag() {
        return modelTag;
    }

    public void setModelTag(String modelTag) {
        this.modelTag = modelTag;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<VersionVo> getModelsVersionVos() {
        return modelsVersionVos;
    }

    public void setModelsVersionVos(List<VersionVo> modelsVersionVos) {
        this.modelsVersionVos = modelsVersionVos;
    }


}
